{
    attributes = (
        {
            allowsNull = Y; 
            definition = "DLOG_NOM||' '||DLOG_PRENOM"; 
            externalType = VARCHAR2; 
            name = dlogIdentite; 
            valueClassName = NSString; 
            width = 141; 
        }, 
        {
            columnName = DLOG_KEY; 
            externalType = NUMBER; 
            name = dlogKey; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = DLOG_LOGIN; 
            externalType = VARCHAR2; 
            name = dlogLogin; 
            valueClassName = NSString; 
            width = 12; 
        }, 
        {
            allowsNull = Y; 
            columnName = DLOG_NOM; 
            externalType = VARCHAR2; 
            name = dlogNom; 
            valueClassName = NSString; 
            width = 80; 
        }, 
        {
            allowsNull = Y; 
            columnName = DLOG_PRENOM; 
            externalType = VARCHAR2; 
            name = dlogPrenom; 
            valueClassName = NSString; 
            width = 60; 
        }, 
        {
            columnName = DLOG_VALIDE; 
            externalType = VARCHAR2; 
            name = dlogValide; 
            valueClassName = NSString; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (dlogKey); 
    className = EOGenericRecord; 
    classProperties = (dlogKey, dlogLogin, dlogNom, dlogPrenom, dlogValide, dlogIdentite); 
    externalName = SCOL_DROIT_LOGIN; 
    fetchSpecificationDictionary = {}; 
    name = ScolDroitLogin; 
    primaryKeyAttributes = (dlogKey); 
}
